package com.example.patrice.notification_message;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;

public class connexion extends AppCompatActivity
{
    public static final String key_nom_utilisateur = "nom_utilisateur";

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

        Intent intent = null;

        // pour la réénitialisation on efface la préférence
        //getSharedPreferences("PREFERENCE", MODE_PRIVATE).edit().remove(key_nom_utilisateur).commit();

        String user_existe = getSharedPreferences("PREFERENCE", MODE_PRIVATE) .getString(key_nom_utilisateur, null);

        if(user_existe == null)
        {
            intent = new Intent(getApplicationContext(), creation_compte.class);
            startActivityForResult(intent, 1234);
        }
        else
        {
            intent = new Intent(getApplicationContext(), Main04.class);
            startActivity(intent);
            finish();
        }

    }

    protected void onActivityResult( int requestCode, int resultCode,  Intent data)
    {
        super.onActivityResult(requestCode, resultCode, data);

        if (requestCode == 1234)
        {
            Intent intent = new Intent(getApplicationContext(), MainActivity.class);
            startActivity(intent);
            finish();
        }
    }

}